%define cvs_date _003_20050530

Name: evas
Version: 0.9.9
Release: alt0.1%cvs_date
Serial: 1

Summary: Multi-platform Canvas Library
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org
Source: %name-%version%cvs_date.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Mar 29 2005
BuildRequires: directfb-devel fontconfig-devel freetype2-devel gcc-c++ glib2 gnome-libs-devel hostinfo libcairo-devel libedb-devel libeet-devel libglitz-devel libjpeg-devel libpixman-devel libpng-devel libstdc++-devel nvidia_glx_common pkgconfig xorg-x11-devel-static xorg-x11-libs xorg-x11-mesaGL zlib-devel

%description
Evas is a clean display canvas API for several target display systems that
can draw anti-aliased text, smooth super and sub-sampled scaled images,
alpha-blend objects much and more.

%package -n lib%name
Summary: Enlightened Canvas Library
Group: System/Libraries

%description -n lib%name
Evas is a clean display canvas API for several target display systems that
can draw anti-aliased text, smooth super and sub-sampled scaled images,
alpha-blend objects much and more.

%package -n lib%name-devel
Summary: Enlightened Canvas Library development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Enlightened Canvas Library headers and development libraries.

%package -n lib%name-devel-static
Summary: Static version of Enlightened Canvas Library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains library needed to build applications statically
linked with Enlightened Canvas Library.

%package -n lib%name-examples
Summary: Test programs for Enlightened Canvas Library
Group: Graphics
Requires: lib%name = %version-%release

%description -n lib%name-examples
This package contains test programs from Enlightened Canvas Library
distribution.

%package -n lib%name-doc
Summary: Enlightened Canvas Library development documentation
Group: Books/Computer books
Conflicts: lib%name < %version-%release

%description -n lib%name-doc
This package contains Enlightened Canvas Library development
documentation

%define customdocdir %_docdir/lib%name-%version

%prep
%setup -q -n %name
%__subst 's,directfb/directfb.h,directfb.h,' src/bin/evas_directfb_main.c
%__subst 's,directfb/directfb.h,directfb.h,' src/bin/evas_directfb_window.c
%__subst 's,directfb/directfb.h,directfb.h,' src/lib/Evas_Engine_DirectFB.h

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
touch README
%__automake -a -c -f
%__autoconf

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
--enable-software-x11 \
--enable-image-loader-png \
--enable-image-loader-jpeg \
--enable-image-loader-eet \
--enable-image-loader-edb \
--enable-cpu-p2-only \
--enable-cpu-mmx \
--enable-cpu-sse \
--enable-cpu-c \
--enable-scale-smooth \
--enable-scale-sample \
--enable-convert-8-rgb-332 \
--enable-convert-8-rgb-666 \
--enable-convert-8-rgb-232 \
--enable-convert-8-rgb-222 \
--enable-convert-8-rgb-221 \
--enable-convert-8-rgb-121 \
--enable-convert-8-rgb-111 \
--enable-convert-16-rgb-565 \
--enable-convert-16-rgb-555 \
--enable-convert-16-rgb-rot-0 \
--enable-convert-16-rgb-rot-90 \
--enable-convert-16-rgb-rot-270 \
--enable-convert-32-rgb-8888 \
--enable-convert-32-rgbx-8888 \
--enable-convert-32-bgr-8888 \
--enable-convert-32-bgrx-8888 \
--enable-convert-32-rgb-rot-0 \
--enable-convert-32-rgb-rot-90 \
--enable-convert-32-rgb-rot-270 \
%{subst_enable static}

%make_build CFLAGS="-O2 -mpentiumpro -march=pentiumpro -mcpu=pentiumpro"

###########################################################################

%install
%makeinstall

%__rm -rf %buildroot%_datadir/%name/doc
%__mkdir_p %buildroot%customdocdir
%__cp doc/evas.* %buildroot%customdocdir

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%doc AUTHORS COPYING COPYING-PLAIN NEWS README
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/evas-config
%_includedir/*
%_libdir/pkgconfig/evas.pc
%_libdir/*.so
#_libdir/*.la

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n lib%name-examples
%_bindir/evas_*
%_datadir/%name

%files -n lib%name-doc
%customdocdir

%changelog
* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050524
- updated from cvs.
- bug #6929 fixed.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 1:0.9.9-alt0.1_003_20050329
- updated from cvs.
- added serial due to version downgrade
- removed INSTALL, TODO from doc
- added touch README

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre13_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre13_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre13_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre13_20041022
- updated from cvs.
- spec cleaning
- don't build libevas-devel-static by default

* Fri Jun 13 2003 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_20030613
- Updated from cvs.

* Sat Mar 15 2003 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_20030315
- Updated from cvs.
- Change configure
- Removed aclocal
- Changed arial font to n019003l.ttf (val-ttf) in source

* Fri Nov 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- First build for Sisyphus.
